Skip to content

PUT /api/v3/drive-templates/{lcuid}

Summary

PUT /drive-templates/{lcuid}

Description

Update an existing drive template

Tags: templates

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Request Body

Required: Yes

Content Type: application/json

Schema

Type: object

Required fields: name, templates, variants, assets, drive_template_hash

Properties:

  • name (string) (required): The name of the drive template
  • description (string): The description of the drive template
  • templates (string) (required): JSON string containing the template data
  • variants (string) (required): JSON string containing the variants data
  • assets (string) (required): JSON string containing the assets data
  • drive_template_hash (string) (required)

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean): Indicates if the request was successful
  • drive_template (object) Type: object

Properties:

  • name (string)
  • description (string)
  • status (integer)
  • templates (object) Type: object

    Properties:

    • base (object) Type: object

    Properties:

    • updated_template_data (string)
    • html (string)
    • css (string)
    • js (string)
    • fonts (array)
    • used_macros (array)
    • custom_field_map (array)
    • render_app_version (string)
  • variants (array)

    • Array items: object Type: object

    Properties:

    • css (string)
  • assets (array)

    • Array items: array
  • options (object) Type: object

    Properties:

    • _init (array)
    • data_source_macro_scope_cache (object) Type: object

    Properties:

    • has_data_source_scoped_macros (boolean)
    • data_source_scoped_macros (array)
    • linked_data_source_scoped_macro_feed_providers (array)
    • linked_data_source_scoped_macro_feeds (array)

    • template_attached_to_missing_feeds (string)

    • primary_image_update (string)
  • lcuid (string)

  • inventory_item_class (array)
  • public (boolean)
  • template_hash (string)
  • created_at (string)
  • updated_at (string)
  • inventory_item_class_data (array)
  • parent (object) Type: object

    Properties:

    • name (string)
    • options (object) Type: object

    Properties:

    • primary_image_public_url (string)
    • primary_image_background_removed_public_url (string)

    • lcuid (string)

    • slug (string)
    • website (string)
    • description (string)
    • created_at (string)
    • inventory_item_class (array)
    • Array items: string
    • account_class (string)
    • inventory_item_class_description (string)
    • account_class_description (string)
    • is_parent_account (boolean)
Example Response
{
    "success": true,
    "drive_template": {
        "name": "Updated Template Name",
        "description": "Updated description",
        "status": 0,
        "templates": {
            "base": {
                "updated_template_data": "new_value",
                "html": "<div>Test</div>",
                "css": "div { color: red; }",
                "js": "",
                "fonts": [],
                "used_macros": [],
                "custom_field_map": [],
                "render_app_version": "v1"
            }
        },
        "variants": [
            {
                "css": "updated css here"
            }
        ],
        "assets": [
            []
        ],
        "options": {
            "_init": [],
            "data_source_macro_scope_cache": {
                "has_data_source_scoped_macros": false,
                "data_source_scoped_macros": [],
                "linked_data_source_scoped_macro_feed_providers": [],
                "linked_data_source_scoped_macro_feeds": []
            },
            "template_attached_to_missing_feeds": null,
            "primary_image_update": "LCUID-LHHC-4d7fc270-dff3-4c89-9b89-aa2684c530db"
        },
        "lcuid": "LCUID-LDT-74df7fed-9199-4547-abb7-285b80974383",
        "inventory_item_class": [],
        "public": false,
        "template_hash": "66e419f30ae5e5532b80675599bd7ba9",
        "created_at": "2026-10-08T21:35:15.000000Z",
        "updated_at": "2026-10-08T21:35:16.000000Z",
        "inventory_item_class_data": [],
        "parent": {
            "name": "Test Account",
            "options": {
                "primary_image_public_url": null,
                "primary_image_background_removed_public_url": null
            },
            "lcuid": "LCUID-LA-a26db6af-e063-42d0-99d0-1a32310e63eb",
            "slug": "UnitTestAccountWwgqj",
            "website": null,
            "description": "Here is a new unit test account description",
            "created_at": "2026-10-08T21:35:15.000000Z",
            "inventory_item_class": [
                "App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
            ],
            "account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
            "inventory_item_class_description": "Generic",
            "account_class_description": "Inventory",
            "is_parent_account": false
        }
    }
}

Example Implementations

Bash (cURL)

curl --request PUT \
  --url "https://api.lucit.app/api/v3/drive-templates/{lcuid}" \
  --header "Authorization: Bearer {AuthToken}" \
  --header "Content-Type: application/json" \
  --header "Accept: application/json" \
  --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = "https://api.lucit.app/api/v3/drive-templates/{lcuid}";

const headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
};

fetch(url, {
  method: "PUT",
  headers: headers
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));

PHP (Guzzle)

<?php

require_once 'vendor/autoload.php';

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.lucit.app/api/v3/drive-templates/{lcuid}', [
  'headers' => [
    'Authorization' => 'Bearer {AuthToken}',
    'Content-Type' => 'application/json',
    'Accept' => 'application/json',
    'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
  ]
]);

$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);

Python (Requests)

import requests
import json

url = "https://api.lucit.app/api/v3/drive-templates/{lcuid}"

headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
}

response = requests.put(url, headers=headers)
print(response.json())

← Back to drive-templates index | Back to main index